Sortie de la version 1.7 de Sonar

Posté par (page perso) . Modéré par patrick_g.
4
31
mar.
2009
Java
Sonar est une plate-forme libre (LGPL v3) permettant de gérer la qualité du code source Java ou PHP (exécution de tests unitaires, analyse de la couverture du code par ces tests, vérifications du respect des règles de codage, etc.). La version 1.7 de Sonar vient de sortir. Cette version apporte de nouvelles fonctionnalités et notamment :
  • La possibilité d'exclure des classes ou des packages de l'analyse qualité ;
  • L'élargissement du champ d'utilisation, en permettant d'injecter le résultat de la couverture de code et des tests unitaires depuis un build ant ;
Cette version améliore également de manière sensible certaines fonctionnalités :
  • Extension du nuage de classes sur la couverture de code aux modules et packages ;
  • Meilleure compatibilité avec IE6 ;
  • Ajout d'une vue "résultats de tests unitaires" et d'une vue "code dupliqué" à l'outil de visualisation de code source.
Pour essayer ces nouvelles fonctionnalités, il suffit de télécharger la version 1.7 et de l'installer. Il existe un mode démo / test de Sonar permettant de l'essayer (suivre le "2 minutes tutorial").
  • # Java mais les autres ?

    Posté par . Évalué à 6.

    Sonar a l'air d'être vraiment bien léché !
    Mais est-ce que Sonar est capable de gérer un code source autre qu'en Java ? Genre C++ ?
    Connaissez vous un Sonar like pour du code en C++ ?
    Merci :-)
  • # Il faut tuer IE6

    Posté par (page perso) . Évalué à 3.

    Meilleure compatibilité avec IE6

    Mais pourquoi cet acharnement thérapeutique ?

    [http://davidwalsh.name/6-reasons-why-ie6-must-die 6 Reasons Why IE6 Must Die]
    • [^] # Re: Il faut tuer IE6

      Posté par . Évalué à 3.

      D'autant qu'aujourd'hui, il y a IE8 qui, lui, est devenu un peu plus compatible avec le standard du W3C... Dont il faut repasser pour la compatibilité.
      La question principale : le produit Sonar-1.7 est-il compatible avec un logiciel normal comme Firefox ou Opera ?
      • [^] # Re: Il faut tuer IE6

        Posté par (page perso) . Évalué à 3.

        Sonar est parfaitement compatible avec Firefox, Safari et IE7.

        Sous IE 6, il restait des problèmes qui dégradaient la fonctionnalité utilisateur. Nous les avons réglé dans la version 1.7.

        Pourquoi les régler ? Car il reste un certain nombre de grosses structures dont le standard est toujours IE6 et que nous estimons que Sonar doit pouvoir être utilisé par le plus grand nombre

        Olivier
  • # plus précis

    Posté par (page perso) . Évalué à 2.

    Ca aurait été bien de préciser du code source JAVA/PHP.
    Les C/C++ sont encore laissés pour compte.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.